v.net.connectivity(1)

NAME
v.net.connectivity - Computes vertex connectivity between two sets of nodes in the network.

KEYWORDS
vector, network, connectivity

SYNOPSIS
v.net.connectivity
v.net.connectivity --help
v.net.connectivity input=name [arc_layer=string] [node_layer=string] [arc_column=name] [arc_backward_column=name] output=name [node_column=name] [set1_cats=range] [set1_where=sql_query] [set2_cats=range] [set2_where=sql_query] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

arc_layer=string
    Arc layer
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

node_layer=string
    Node layer
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 2

arc_column=name
    Arc forward/both direction(s) cost column (number)

arc_backward_column=name
    Arc backward direction cost column (number)

output=name [required]
    Name for output vector map

node_column=name
    Node cost column (number)

set1_cats=range
    Set1 category values
    Example: 1,3,7-9,13

set1_where=sql_query
    Set1 WHERE conditions of SQL statement without ’where’ keyword
    Example: income < 1000 and population >= 10000

set2_cats=range
    Category values
    Set2 category values

set2_where=sql_query
    Set2 WHERE conditions of SQL statement without ’where’ keyword
    Example: income < 1000 and population >= 10000

DESCRIPTION
v.net.connectivity computes vertex connectivity between two sets, i.e. the minimum number of vertices whose removal would separate two given sets.

NOTES
Two sets (set1 and set2) are specified by respective layer, where and cats parameters. Similarly to v.net.flow module, capacities of nodes can be given by node_column option. v.net.connectivity finds the set of nodes of minimum total capacitiy separating the two given sets and outputs map containing points on the positions of these nodes. Default capacity, which is used when no column is specified, is one.

EXAMPLE
The following command finds the minimum number of intersections separating roads on the left bank from roads on the right bank.

v.net.connectivity input=roads output=roads_conn set1_where="bank=left" \
      set2_where="bank=right"

v.net.connectivity input=airtraffic output=connectivity \
      set1_where="name=JFK" set2_where="name=Heathrow" node_column=capacity

SEE ALSO
v.net, v.net.flow, v.net.bridge

AUTHORS
Daniel Bundala, Google Summer of Code 2009, Student
Wolf Bergenheim, Mentor

SOURCE CODE

Available at: v.net.connectivity source code (history)

Latest change: Thursday Jan 26 14:10:26 2023 in commit: cdd84c130cea04b204479e2efdc75c742efc4843

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.3.0dev Reference Manual